Skip to content
Start here

Create integration entry

client.ZeroTrust.DLP.Entries.Integration.New(ctx, params) (*DLPEntryIntegrationNewResponse, error)
POST/accounts/{account_id}/dlp/entries/integration

Integration entries can’t be created, this will update an existing integration entry. This is needed for our generated terraform API.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
params DLPEntryIntegrationNewParams
AccountID param.Field[string]

Path param

Enabled param.Field[bool]

Body param

EntryID param.Field[string]

Body param

formatuuid
ProfileID param.Field[string]Optional

Body param: This field is not used as the owning profile. For predefined entries it is already set to a predefined profile.

formatuuid
ReturnsExpand Collapse
type DLPEntryIntegrationNewResponse struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
UpdatedAt Time
formatdate-time
ProfileID stringOptional
formatuuid

Create integration entry

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  integration, err := client.ZeroTrust.DLP.Entries.Integration.New(context.TODO(), zero_trust.DLPEntryIntegrationNewParams{
    AccountID: cloudflare.F("account_id"),
    Enabled: cloudflare.F(true),
    EntryID: cloudflare.F("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", integration.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}